dpkg-trigger(1)

NAAM
dpkg-trigger - een hulpprogramma in verband met pakkettriggers

OVERZICHT
dpkg-trigger [optie...] triggernaam

dpkg-trigger [optie...] commando

BESCHRIJVING
dpkg-trigger is gereedschap om triggers expliciet te activeren en na te gaan of ze door het exemplaar van dpkg dat actief is, ondersteund worden.

Dit kan gebruikt worden door scripts van de beheerder in complexe en voorwaardelijke situaties waarvoor het bestand triggers of de declaratieve opdracht activate van het triggercontrolebestand onvoldoende verfijnd zijn. Het kan ook voor testdoeleinden en door systeembeheerders gebruikt worden (maar merk op dat de triggers niet effectief uitgevoerd worden door dpkg-trigger).

Een syntaxis van een triggernaam die niet herkend wordt, is voor dpkg-trigger een fout.

Dit programma werd geïntroduceerd in dpkg 1.14.17.

COMMANDO'S

--check-supported
    Controleren of het exemplaar van dpkg dat uitgevoerd wordt, triggers ondersteunt (meestal worden die vanuit een postinst-script geactiveerd). Zal afsluiten met 0 als een exemplaar van dpkg uitgevoerd werd dat triggers aankan of afsluiten met 1 en een foutmelding op de standaard foutuitvoer indien dat niet het geval was. Het is normaal gezien nochtans beter om gewoon de gewenste trigger te activeren met dpkg-trigger.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OPTIES

--admindir=map
    De locatie van de database van dpkg wijzigen. De standaardlocatie is /var/db/dpkg indien DPKG_ADMINDIR niet werd ingesteld.

--root=map
    De hoofdmap instellen op map, hetgeen de administratieve map instelt op «map/var/db/dpkg» (sinds dpkg 1.21.0).

--by-package=pakket
    De triggerafwachter overschrijven (normaal wordt dit ingesteld door dpkg via de omgevingsvariabele DPKG_MAINTSCRIPT_PACKAGE van de scripts van de beheerder. Die bevat de naam van het pakket waartoe het script behoort en standaard wordt die waarde gebruikt).

--no-await
    Deze optie zorgt ervoor dat het (eventuele) aanroepende pakket T niet moet wachten op de afhandeling van deze trigger. Het/de betrokken pakket(ten) I zal/zullen niet toegevoegd worden aan T's lijst van triggers waarvan de afhandeling afgewacht wordt en de status van T blijft ongewijzigd. T mag als geïnstalleerd beschouwd worden, zelfs al heeft I misschien de trigger nog niet verwerkt.

--await
    Deze optie doet het tegenovergestelde van --no-await (sinds dpkg 1.17.21). Indien het belanghebbende pakket een “noawait”-opdracht gedeclareerd heeft, zal deze optie geen effect hebben. Dit is momenteel het standaardgedrag.

--no-act
    De zaak enkel uittesten, maar geen enkele effectieve wijziging doorvoeren.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd. Of een commando dat een toets of een assertie verrichtte gaf waar als resultaat.

1   Een commando dat een toets of een assertie verrichtte gaf onwaar als resultaat.

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

DPKG_ROOT
    Indien dit ingesteld is en de optie --root niet opgegeven werd, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem (sinds dpkg 1.21.0).

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_DEBUG
    Stelt het foutopsporingsmasker in (sinds dpkg 1.21.10) vanaf een octale waarde. De momenteel geaccepteerde vlaggen worden beschreven in de optie dpkg --debug, maar mogelijk hebben niet al deze vlaggen effect op dit programma.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.22.7). Geldige waarden zijn: 0 and 1 (standaard).

ZIE OOK
dpkg(1), deb-triggers(5), /usr/pkg/share/doc/dpkg/spec/triggers.txt.